# $Id: smeserver-mod_python.spec,v 1.4 2021/04/02 21:57:58 jpp Exp $
# Authority: marcohess
# Name: Marco Hess

%define name smeserver-mod_python
%define version 0.3
%define release 7

Summary: SME Server mod_python implementation
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.xz

BuildArch: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 9
Requires: httpd >= 2
Requires: mod_python
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot

%description
Implementation of mod_python for SME Server 9.

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.3-7.sme
- Fix e-smith references in smeserver-mod_python [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.3-6.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Apr 02 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.3-5.sme
- add update event [SME: 11273]

* Sat Dec 19 2020 Brian Read <brianr@bjsystems.co.uk> 0.3-4.sme
- Initial import into SME10 tree [SME: 11273]

* Wed Sep 23 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 0.3-3.sme
- Initial release to contribs9

* Sat Jun 01 2013 JP Pialasse <tests@pialasse.com} 0.1-2.sme
- import to sme8

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Mon Mar 26 2007 Marco Hess <marco.hess@through-ip.com>
- 0.1-0
- Original version adopted from smeserver-mod_dav

%prep
%setup

%build
perl createlinks
DEFAULTS=root/etc/e-smith/db/configuration/defaults/modPython
mkdir -p $DEFAULTS
echo "service"  > $DEFAULTS/type
echo "enabled"  > $DEFAULTS/status

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
